TAB(3)

NAME
tab - simple table lookup routines

SYNOPSIS

DESCRIPTION
These routines do linear lookups in small tables (on the order of 32 elements). Each table element has a size of bytes and the beginning of the element points to a name that is matched by the lookup routines.

returns the index of the table element in that matches If there is no match then is returned.

returns a pointer to the table element in that matches If there is no match then is returned.

SEE ALSO
hash(3)